project "Game"
  kind "ConsoleApp"
  language "C"
  staticruntime "Off"
  targetdir "bin/%{cfg.buildcfg}"

  defines { "VMATH_SDL" }

  files { "src/*.c" }
  includedirs {
    "src/",
    "../core/src"
  }
  links {
    "Engine-Core"
  }

  links { "SDL2", "SDL2_image", "SDL2_ttf", "m", "cjson"}

  targetdir ("../bin/" .. OutputDir .. "/%{prj.name}" )
  objdir ("../intermediate/" .. OutputDir .. "/%{prj.name}" )

  filter "configurations:Debug"
    defines { "DEBUG" }
    runtime "Debug"
    symbols "On"

  filter "configurations:Release"
    defines { "RELEASE" }
    runtime "Release"
    optimize "On"
    symbols "On"

  filter "configurations:Dist"
    defines { "DIST" }
    runtime "Release"
    optimize "On"
    symbols "Off"
